Bug 135004 - installer hangs on machines with lots of memory
installer hangs on machines with lots of memory
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 17:50 EDT by Jesse Barnes
Modified: 2013-03-06 00:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 12:19:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2004-10-07 17:50:25 EDT
With today's mirror of Fedora core (and RHEL4 as well), the installer 
hangs if I enable lots of memory on a machine.  At first I thought it 
was the number of CPUs, but the hang occurs even if I disable a bunch 
of them.  I've seen this on ia64 systems with 8GB and 256GB of 
memory.  Pasted the console output below. 
 
Anything I can do to collect more info? 
 
Thanks, 
Jesse 
 
fs0:\fedora> elilo 
 
ELILO boot: 
linux (or a kernel file name: [[dev_name:/]path/]kernel_image cmdline 
options) 
 
ELILO boot: linux console=ttySG0 vnc 
Uncompressing Linux... done 
Loading initrd initrd.img...done 
Linux version 2.6.8-1.541 (bhcompile@natasha.build.redhat.com) (gcc 
version 3.4.1 20040831 (Red Hat 3.4.1-10)) #1 SMP Wed Sep 1 18:16:21 
EDT 2004 
EFI v1.02 by SGI: SALsystab=0x1030047c4370 ACPI 2.0=0x1030047ca470 
booting generic kernel on platform sn2 
ACPI: RSDP (v002    SGI                                    ) @ 
0x00001030047ca470 
ACPI: XSDT (v001    SGI  XSDTSN2 0x00010001  0x00000001) @ 
0x00001030047c4680 
ACPI: MADT (v001    SGI  APICSN2 0x00010001  0x00000001) @ 
0x00001030047ca4b0 
ACPI: SRAT (v001    SGI  SRATSN2 0x00010001  0x00000001) @ 
0x00001030047c46e0 
ACPI: SLIT (v001    SGI  SLITSN2 0x00010001  0x00000001) @ 
0x00001030047c5020 
ACPI: FADT (v003    SGI  FACPSN2 0x00030001  0x00000001) @ 
0x00001030047c5960 
ACPI: DSDT (v001    SGI  DSDTSN2 0x00010001  0x00000001) @ 
0x00001030047c9da0 
ACPI: DSDT (v001    SGI  DSDTSN2 0x00010001  0x00000001) @ 
0x0000000000000000 
ACPI: SRAT revision 0 
ACPI: SLIT localities 48x48 
Number of logical nodes in system = 32 
Number of memory chunks in system = 32 
Initial ramdisk at: 0xe00017bc7b738000 (6100248 bytes) 
SAL 2.9: SGI SN2 version 3.40 
SAL Platform features: ITC_Drift 
SAL: AP wakeup using external interrupt vector 0x12 
ACPI: Local APIC address 0xc0000000fee00000 
ACPI: Error parsing MADT - no IOSAPIC entries 
register_intr: No IOSAPIC for GSI 52 
GSI 52 (level, low) -> CPU 0 (0x0020) vector 48 
64 CPUs available, 64 CPUs total 
Registering legacy COM ports for serial console 
Increasing MCA rendezvous timeout from 20000 to 49000 milliseconds 
MCA related initialization done 
SGI SAL version 3.40 
Virtual mem_map starts at 0xa0007feb3b138000 
Built 32 zonelists 
Kernel command line: BOOT_IMAGE=scsi0:\fedora\.\vmlinuz  
ramdisk_size=12288 maxcpus=1 ro console=ttySG0 vnc 
PID hash table entries: 4096 (order 12: 65536 bytes) 
Console: colour dummy device 80x25 
Dentry cache hash table entries: 33554432 (order: 14, 268435456 
bytes) 
Inode-cache hash table entries: 16777216 (order: 13, 134217728 bytes) 
Memory: 256294464k/257605440k available (5652k code, 1313968k 
reserved, 2215k data, 400k init) 
McKinley Errata 9 workaround not needed; disabling it 
Security Scaffold v1.0.0 initialized 
SELinux:  Initializing. 
SELinux:  Starting in permissive mode 
There is already a security framework initialized, register_security 
failed. 
selinux_register_security:  Registering secondary module capability 
Capability LSM initialized as secondary 
Mount-cache hash table entries: 1024 (order: 0, 16384 bytes) 
Boot processor id 0x0/0x20 
task migration cache decay timeout: 10 msecs. 
Brought up 1 CPUs 
Total of 1 processors activated (2215.36 BogoMIPS). 
checking if image is initramfs...it isn't (no cpio magic); looks like 
an initrd 
Freeing initrd memory: 5952kB freed 
NET: Registered protocol family 16 
ACPI: Subsystem revision 20040715 
ACPI: SCI (ACPI GSI 52) not registered 
ACPI: Interpreter enabled 
ACPI: Using IOSAPIC for interrupt routing 
usbcore: registered new driver usbfs 
usbcore: registered new driver hub 
PCI: Using ACPI for IRQ routing 
get_random_bytes called before random driver initialization 
perfmon: version 2.0 IRQ 238 
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 
bits) 
PAL Information Facility v0.5 
perfmon: added sampling format default_format 
perfmon_default_smpl: default_format v2.0 registered 
audit: initializing netlink socket (disabled) 
audit(1097184949.058:0): initialized 
Total HugeTLB memory allocated, 0 
VFS: Disk quotas dquot_6.5.1 
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes) 
SELinux:  Registering netfilter hooks 
Initializing Cryptographic API 
ksign: Installing public key data 
Loading keyring 
- Added public key 4E526903831899BA 
- User ID: Red Hat, Inc. (Kernel Module GPG key) 
pci_hotplug: PCI Hot Plug PCI Core version: 0.5 
EFI Time Services Driver v0.4 
Linux agpgart interface v0.100 (c) Dave Jones 
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing 
enabled 
sn_console: Console driver init 
ttySG0 at I/O 0x0 (irq = 0) is a SGI SN L1 
RAMDISK driver initialized: 16 RAM disks of 12288K size 1024 
blocksize 
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2 
ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx 
ide0: I/O resource 0x3F6-0x3F6 not free. 
ide0: ports already in use, skipping probe 
ide1: I/O resource 0x376-0x376 not free. 
ide1: ports already in use, skipping probe 
ide2: I/O resource 0x3EE-0x3EE not free. 
ide2: ports already in use, skipping probe 
ide3: I/O resource 0x36E-0x36E not free. 
ide3: ports already in use, skipping probe 
ide4: I/O resource 0x3E6-0x3E6 not free. 
ide4: ports already in use, skipping probe 
ide5: I/O resource 0x366-0x366 not free. 
ide5: ports already in use, skipping probe 
ide-floppy driver 0.99.newide 
usbcore: registered new driver hiddev 
usbcore: registered new driver usbhid 
drivers/usb/input/hid-core.c: v2.0:USB HID core driver 
mice: PS/2 mouse device common for all mice 
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27 
EFI Variables Facility v0.08 2004-May-17 
NET: Registered protocol family 2 
IP: routing cache hash table of 4194304 buckets, 65536Kbytes 
TCP: Hash tables configured (established 67108864 bind 65536) 
Initializing IPsec netlink socket 
NET: Registered protocol family 1 
NET: Registered protocol family 17 
md: Autodetecting RAID arrays. 
md: autorun ... 
md: ... autorun DONE. 
RAMDISK: Compressed image found at block 0 
VFS: Mounted root (ext2 filesystem).
Comment 1 Red Hat Bugzilla 2004-10-07 17:52:26 EDT
Oh, and I've also seen it crash at that same spot on another machine. 
 
Comment 2 Red Hat Bugzilla 2004-10-10 22:29:45 EDT
This is before the installer does anything at all.  sysrq-t might tell
more ,but this looks like kernel to me.
Comment 3 Red Hat Bugzilla 2004-10-13 10:40:46 EDT
I'll try sysrq (duh), but the kernel seems to work fine if I disable 
most of the memory, do the install, reenable it, and boot into the 
newly installed system. 
 
Jesse 
Comment 4 Red Hat Bugzilla 2004-10-20 11:48:47 EDT
I'd like to wait until a installer with the module_verify fix is
in place.  Then I'll see if I can get permission to mirror the
distro at SGI and find a larger machine to try this on with the
latest stuff.

Jesse - when you said it 'hung' and 'crashed' once, what did you mean
by crash?  An actual kernel panic?  Or something else?
Comment 5 Red Hat Bugzilla 2004-10-21 12:03:30 EDT
This is still an issue with RHEL4 re1021 nightly - but I seem to get
further than Jesse did...  I don't have the output handy but it 
gets past kernel loading, starts up the 'loader', and then prints out
a message about disabling IRQ #6 and hangs.

I'll capture some output next time around here.
Comment 6 Red Hat Bugzilla 2004-10-21 12:16:41 EDT
Output:

ttySG0 at I/O 0x0 (irq = 0) is a SGI SN L1
RAMDISK driver initialized: 16 RAM disks of 12288K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
ide0: I/O resource 0x3F6-0x3F6 not free.
ide0: ports already in use, skipping probe
ide1: I/O resource 0x376-0x376 not free.
ide1: ports already in use, skipping probe
ide2: I/O resource 0x3EE-0x3EE not free.
ide2: ports already in use, skipping probe
ide3: I/O resource 0x36E-0x36E not free.
ide3: ports already in use, skipping probe
ide4: I/O resource 0x3E6-0x3E6 not free.
ide4: ports already in use, skipping probe
ide5: I/O resource 0x366-0x366 not free.
ide5: ports already in use, skipping probe
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
EFI Variables Facility v0.08 2004-May-17
NET: Registered protocol family 2
IP: routing cache hash table of 4194304 buckets, 65536Kbytes
TCP: Hash tables configured (established 67108864 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
[9;0][8]Greetings.
anaconda installer init version 10.1.0.0 starting
mounting /proc filesystem... done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
anaconda installer init version 10.1.0.0 using /dev/ttySG0 as console
trying to remount root filesystem read write... done
mounting /tmp as ramfs... done
running install...
running /sbin/loader
Disabling IRQ #66
                                                                     
          
[hangs here]
Comment 7 Red Hat Bugzilla 2004-10-21 12:31:42 EDT
I think the 'Disabling IRQ #' message is from the kernel.

arch/ia64/kernel/irq.c

From function note_interrupt.

Here is a code fragment...

        desc->irq_count = 0;
        if (desc->irqs_unhandled > 99900) {
                /*
                 * The interrupt is stuck
                 */
                __report_bad_irq(irq, desc, action_ret);
                /*
                 * Now kill the IRQ
                 */
                printk(KERN_EMERG "Disabling IRQ #%d\n", irq);
                desc->status |= IRQ_DISABLED;
                desc->handler->disable(irq);
        }
        desc->irqs_unhandled = 0;


This function is use din 'do_IRQ'

Hmm...
Comment 8 Red Hat Bugzilla 2004-10-21 12:39:04 EDT
The machine is 64p.  It has only one io brick - the base ixbrick.

On my 3rd install attempt, I hung at 'VFS: Mounted root...' like
Jesse did before.  In this case, I had disabled several PCI cards
in the machine.  
Comment 9 Red Hat Bugzilla 2004-10-21 12:45:42 EDT
Weird.  I always hang at 'disabling IRQ' after 'running
/sbin/loader' when all PCI cards are enabled (except bus 1 slot 2).

When I disable all cards but the base IO, we don't get past the
mounted root message.  From what Jesse said, the same kernel works
fine post-installation with all memory and processors.  I guess I'll
need to try to get some debugging stuff in to the installer initrd
to see where things are at.
Comment 10 Red Hat Bugzilla 2004-10-21 13:43:25 EDT
sysrequest isn't responsive at the time - so I can't print the
registers that way.

I noticed if I pass various 'no probe' style options to anaconda, I
die sooner - where Jesse did in the past (and I do if I disable most
PCI cards :)

anaconda already sets 'maxcpus=1'.  Trying to use mem= doesn't work
right on our architecture I don't believe.  

When the machine was at 'Disabling IRQ #66', I issued an nni.

I got 64 MCAs I suspect I only care about the first cpu.

0 064: POD SysCt Cac> error 0
                                                                     
          
**** SAL Error Record Type: INIT **** Date: 10/21/2004 Time: 17:44:53 ****
  processor lid            : 0x0000000000200000
    cpu: A nasid: 0x20
  processor state parameter: 0x00000000ffe301a0
    rendevous was not attempted
    min state is valid
    continuable
    machine check is isolated
    ip logged is not precise
    min state is not precise
    interrupt caused by INIT
    control registers not valid
    PAL recovery status:
      error was isolated and contained, continuable if sw can recover
                                                                     
          
  cpuid: 0x49656e69756e6547 0x000000006c65746e 0x0000000000000000
0x000000001f010504
                                                                     
          
Processor State:
xip  : 0xa0000001000175e0  xfs  : 0x800000000000050f
xpsr : 0x0000101008026038
    little endian
    alignment check enabled
    lower fp (f2..f31) written
    upper fp (f32..f127) written
    interrupt collection enabled
    external interrupts enabled
    data translation enabled
    register stack translation enabled
    current priviledge level: 0
    IA64 instruction set
    instruction address translation enabled
    restart instruction slot: 0
    register bank: 1
iip  : 0xa000000100016220  iipa : 0xa000000100017600
ipsr : 0x0000101008026038
    little endian
    alignment check enabled
    lower fp (f2..f31) written
    upper fp (f32..f127) written
    interrupt collection enabled
    external interrupts enabled
    data translation enabled
    register stack translation enabled
    current priviledge level: 0
    IA64 instruction set
    instruction address translation enabled
    restart instruction slot: 0
    register bank: 1
isr  : 0x0000000000000000
    excepting instruction slot: 0
    exception deferral: 0
pr   : 0x80000000ff5a69a5
cr0  (dcr)      : 0x0000000000007e04  cr1  (itm)      : 0x00000029b02f7c5f
cr2  (iva)      : 0xa000000100000000  cr8  (pta)      : 0x1ffc0000000000c9
cr16 (ipsr)     : 0x0000101008026038  cr17 (isr)      : 0x0000000000000000
cr19 (iip)      : 0xa000000100016220  cr20 (ifa)      : 0xe000123004c20000
cr21 (itir)     : 0x0000000000000060  cr22 (iipa)     : 0xa000000100017600
cr23 (ifs)      : 0x8000000000000005  cr24 (iim)      : 0x0000000000000000
cr25 (iha)      : 0xbffc000fff3aa2f0  cr64 (lid)      : 0x0000000000200000
cr66 (tpr)      : 0x0000000000000000  cr68 (irr0)     : 0x0000000000000000
cr69 (irr1)     : 0x0000000000000000  cr70 (irr2)     : 0x0000000000000000
cr71 (irr3)     : 0x0000800000000000  cr72 (itv)      : 0x00000000000000ef
cr73 (pmv)      : 0x00000000000000ee  cr74 (cmcv)     : 0x000000000000001f
cr80 (lrr0)     : 0x0000000000010000  cr81 (lrr1)     : 0x0000000000010000
ar16 (rsc)      : 0x0000000000000003  ar17 (bsp)      : 0xa0000001006c0fc8
ar18 (bspstore) : 0xa0000001006c0f50  ar19 (rnat)     : 0x0000000000000000
ar32 (ccv)      : 0x0000000000000000  ar36 (unat)     : 0x0000000000000000
ar40 (fpsr)     : 0x0009804c8a70433f  ar64 (pfs)      : 0x000000000000050f
ar65 (lc)       : 0x0000000000000000  ar66 (ec)       : 0x0000000000000000
    r0 : 0x0000000000000000 0xa00000010098cb10 0xa0000001006c7e20
0xa0000001006c7da8
    r4 : 0x0000000000000004 0x80000000ffdf7a70 0x80000087fed30000
0x0000000000000040
    r8 : 0x0000000000000000 0x0000000000000000 0x0000000000000000
0x0000000000000000
    r12: 0xa0000001006c7d80 0xa0000001006c0000 0x000000000000001c
0x000000000000001d
bk0 r16: 0xa0000001006c0fc8 0x0000000000000308 0x0000000000000000
0x0000000000000000
bk0 r20: 0x0009804c8a70433f 0xa000000100017580 0x0000000000000000
0x000000000001003e
bk0 r24: 0x8000000000000004 0x0000000000000000 0x000000000000050f
0x0000000000000003
bk0 r28: 0xa0000001000175e0 0x0000101008026038 0x800000000000050f
0x80000000ff5a69a5
bk1 r16: 0x000000000000020a 0xe000083003007eb0 0xffffffffffff0020
0x0009804c8a70433f
bk1 r20: 0x00000001006c0000 0x00000000ffffffff 0xa0000001006c0028
0x0000000000000000
bk1 r24: 0x0000000000000000 0x0000000000000000 0x0000000000000000
0xa0000001006c1060
bk1 r28: 0x000000000000001d 0x0000000000000000 0x0000000000000000
0x0000000000000000
    b0 : 0xa000000100017610 0x80000000ffdff3d0 0x0000000000000000
0x0000000000000000
    b4 : 0x0000000000000000 0x0000000000000000 0xa000000100428f40
0xe000000001fff800
    k0 : 0x1ffffffffc000000 0x0000000000000000 0x0000000000000000
0x0000000000000000
    k4 : 0x0000000000123004 0xe0000ab004cf0000 0xa0000001006c0000
0x00000b30030d8000
   rr0 : 0x0000000000001839 0x0000000000001939 0x0000000000001a39
0x0000000000001b39
   rr4 : 0x0000000000001c71 0x0000000000000539 0x0000000000000660
0x0000000000000760
Additional Processor Info:
                                                                     
          
PROCESSOR RECEIVED NMI :module/002c05/slab/0/node/cpu/a :INIT received
reg stack address  reg  reg data            reg stack address  reg 
reg data
0xa0000001006c0f50 ---- 0x0000000000000001  0xa0000001006c0f58 ----
0xa0000001006c7db0
0xa0000001006c0f60 ---- 0xa00000010079f6d8  0xa0000001006c0f68 ----
0xa0000001006c7e28
0xa0000001006c0f70 ---- 0xa0000001006c7e20  0xa0000001006c0f78 ----
0xa0000001006c7e18
0xa0000001006c0f80 ---- 0xa0000001006c7e10  0xa0000001006c0f88 ----
0xa000000100017880
0xa0000001006c0f90 ---- 0x000000000000048a  0xa0000001006c0f98 ----
0xa0000001006c00c0
0xa0000001006c0fa0 r32  0xa0000001006c7db0  0xa0000001006c0fa8 r33 
0x0000000000000000
0xa0000001006c0fb0 r34  0x0000000000000000  0xa0000001006c0fb8 r35 
0x0000000000000000
0xa0000001006c0fc0 r36  0x0000000000000000
                                                                     
          
SGI SAL Version 4.02 reorg041020 IP41 built 11:08:04 AM Oct 20, 2004
SAL event timestamp: 0x0000021ba864b300  SAL entry: 0x00000830022d3000



I'll go compare to the System.map and see if this gets us a clue.
Comment 11 Red Hat Bugzilla 2004-10-21 13:55:11 EDT
I guess they're technically not MCAs but you know what I mean.

Jesse - you're better at understanding this than I am.  Here is a 
System.map chunk:



a000000100015f80 T ia64_pal_call_stacked
a000000100016000 T ia64_pal_call_phys_static
a000000100016100 T ia64_pal_call_phys_stacked
a0000001000161e0 T ia64_save_scratch_fpregs
a000000100016220 T ia64_load_scratch_fpregs
a000000100016260 T ia64_patch
a000000100016340 T ia64_patch_imm64
a000000100016420 T ia64_patch_imm60
a0000001000164c0 T ia64_patch_mckinley_e9
a0000001000166e0 T ia64_patch_gate
a0000001000168e0 T ia64_do_show_stack
a0000001000169c0 T show_stack
a000000100016a60 T dump_stack
a000000100016ac0 T show_regs
a000000100017380 T do_notify_resume_user


iip is pointing to 0xa000000100016220

That to me seems to be pointing at the very start of
ia64_load_scratch_fpregs

I'll see about running this through ksyms and see if Jack can give
me a hand with this.  Other ideas welcome.

I'll get leds next time too.
Comment 12 Red Hat Bugzilla 2004-10-21 14:55:02 EDT
Whoah.  I think we have two separate problems some how here.

I turned off all bricks in the partition except for the 1st cbrick
and ixbrick....

It _still_ hangs at Disabling IRQ #66.  

This could be an altix350 vs altix3000 issue (maybe io9 vs io10?)

I have a feeling getting to the /sbin/loader is a different problem
than hanging up at mounting the initrd - but I can't be sure yet.

I'll grab time on a smaller Altix3000 and try to confirm.
Comment 13 Red Hat Bugzilla 2004-10-21 15:34:08 EDT
I'm confused.  It seems to work on a different smaller altix3000
system.  It's the same size as the "problem" system was after I
left all but one ixbrick and one cbrick going.  Still trying to 
figure out what's going on here :(
Comment 14 Red Hat Bugzilla 2004-10-21 16:05:22 EDT
32p 128g revenue3.engr.sgi.com - no problem.  

But revenue.engr.sgi.com, configured with just one cbrick and ixbrick,
hangs.  I tried another small Altix3000 and an IO9 based Altix350 - 
they worked fine too.

I'm trying to chase now the case where we have loaded /sbin/loader and
hang.  I'm thinking about trying to hack the initrd some and/or 
anaconda to try to get a bit more info on where exactly it is.  
I'm not sure how to tie my own version of anaconda in to an existing
initrd but I'll try to go find out.  
Comment 15 Red Hat Bugzilla 2004-10-22 00:35:37 EDT
The original source of this bug was a SGI bug report from SGI's
QA dept based on beta1.  I had them try RHEL4 re1021 nightly.  
They no longer hit this problem on the original problem machine :)

But, as you saw above, I'm hitting it in a couple different ways
on revenue.engr.  

But since SGI QA isn't hitting this any more, the only place I've
seen the problem is revenue.engr.  If that's the case, maybe 
something is up with revenue.engr that is causing trouble.
revenue.engr seems "special".

So before I spend more time on this - I want to see it have trouble
on a machine besides revenue.engr.  If we find another problem
machine, we'll need to focus on this again.

round and round we go :)
Comment 16 Red Hat Bugzilla 2004-10-22 00:43:37 EDT
Assigning to me since we don't know what's going on :)
Comment 17 Red Hat Bugzilla 2004-11-19 09:37:30 EST
what's the current status on this one?
Comment 18 Red Hat Bugzilla 2004-12-20 13:43:44 EST
any status on this one? changing to NEEDINFO
Comment 19 Red Hat Bugzilla 2007-07-27 12:19:15 EDT
no response since 2004-11-19, closing it..., if it is still reproduicble with
the latest rhel 4, please re-open.

Note You need to log in before you can comment on or make changes to this bug.